---
layout: blog
title: ⚙️ Why You Should Mod Minecraft
description: About what makes Minecraft modding great and why you should probably try it if you enjoy programming
tags: [Minecraft, Programming]
discuss: https://twitter.com/Ellpeck/status/1097177774337462272
---

So... for the last couple of years, the main thing I've been doing in my free time is game development and modding Minecraft, but the latter far more often and more consistently. I've learned a lot while doing this, but not only when it comes to programming and game development, but also when it comes to a lot of other things.  
So in this post, I want to introduce you to what's so great about Minecraft modding and, honestly, why you should try doing it as well.

# Programming Experience
Now, first and foremost, and I think this is definitely one of the most obvious point: It improves your programming experience by quite a bit. Both in the "understanding the language" department, but also, it helps you to do a couple of things that you'll need if you want to deal with anything that other people have made:
- Understanding someone else's codebase and learning to navigate code that someone else has made, both documented and undocumented
- The beauty of learning how annoying it is to see code that's made in a way that makes it *so unbelievably hard* to expand it, to build on it, and learning that, when making your own code, you most definitely shouldn't do it like that.
- Learning to make something fit well with something other people have made. I'm sure this is also a useful skill to have in a job that includes team efforts: The same way a paper should have a unified style, it's also not very nice to have high resolution textures in a mod for a game that has a very primitive artstyle.

# Easily Creating Things
When creating your own game, I've personally found that it's pretty hard to get it off the ground at the start, because all you can see for the first couple of days are missing textures, placeholders, a missing main menu, janky controls and so on. When you're making a mod for any game, but especially for Minecraft, you can create a single, small feature and then instantly start using it together with all of the other features that the game already provides for you.

It's so much easier to get excited and satisfied about something you've made when it doesn't take ages for it to actually look good in its intended environment - making a mod for a game is perfect for that.

# Meeting Amazing People
This is something that definitely comes a bit later down the line, at least it did for me, but it's also something that's been really, really important to me. Through modding Minecraft, and especially by making [Actually Additions](https://minecraft.curseforge.com/projects/actually-additions), I've met so many amazing people and made a huge amount of new friends.  
And not only that, I've also met a lot of people that I really look(ed) up to and respect(ed), and then noticed how down to earth and nice they actually are (because after all, they're also just people): Direwolf20, Vazkii and so many other people became my friends because it's easy to get along well with someone that shares the same interests as you, especially when it's an interest as passionate as the Minecraft Modding community.

# Being Validated by Thousands
This is one of the most important bits for me, honestly. I have pretty low self esteem (as a lot of introverted people on the internet do, I imagine), and it's hard for me to be proud of something that I've created.  
But through the mods I've made, especially Actually Additions and recently also [Nature's Aura](https://minecraft.curseforge.com/projects/natures-aura), I've been shown by so many people, both friends and complete strangers, that the stuff I make seems to be worth quite a lot to quite a lot of people, and that they're passionate about my work, some maybe even more passionate than I am about it myself.

It feels so good to make something and to see people downloading it, people playing with it, people making videos about it and saying how nice they think it is. Trying to be validated isn't "seeking attention", it's good for you, because it makes you feel like you're worth a lot. Because you are.

# Learning to Deal With Criticism
Also a big thing for me for sure. Because of my previously mentioned low self esteem, it's been pretty hard for me to accept and deal with people saying that they dislike something that I've created.

But in the Minecraft modding community, oh boy, it's a *huge* thing. The first thing you'll get to hear about any new mod you publish is how it's "*totally a ripoff of Thaumcraft and Botania*" and "*this is just Extra Utilities, but worse*", and so on, and so forth. And.. at first, it can be quite demotivating, to say the least, because it sucks that people compare your thing to someone else's thing, despite the fact that you put at least an equal amount of work in it, and despite the fact that it deserves the same amount of respect as that other thing.  
But that's just the way people are, and sooner or later, you have to learn to accept that. And you will. Positive people will still be there, and the stuff you've made will still be loved by a lot of them.

And it's not all bad either, in fact, the opposite is true: There are a *lot* of people that give you constructive criticism: "*I enjoyed this, but I think x, y and z could be changed and it would be even better.*" If you're the kind of person that says this, then you're a winner, because this helps not only the thing you're commenting on, but also the person that's made the thing: Now they know what you like, what you don't like, but most importantly: *How to fix it for you*. And the best thing is: You as the creator don't even have to listen to them if you disagree! They'll probably understand, because they're nice enough not to be dicks like the people I talked about before.

So keep on going, no matter what people say, because you're probably awesome.

# Basically No Obligations
When making a game, or a "real" product in general, a lot of the time, you're bound to certain obligations: Either it's legal ones, or maybe you've done a Kickstarter, maybe the thing you make actually costs you quite a bit of money because you have a whole development team, stuff like that.  
Well with Minecraft modding, the only thing you have to deal with is people asking you when you'll *finally* update to the next version. But if you're sick of that, or sick of anything else, you can just stop, take a break, and do something else entirely for a while.

People might judge, but the important thing is: They don't have a right to judge, because you can do whatever you want. It's a hobby thing, so it's your thing.

# So yea,
this is all of the stuff I could think of that inspires me to keep going with Minecraft Modding. It's been a really awesome journey so far and I'm excited to keep going, to create more things and to see more things that other people created.

Thanks for reading! <3
