---
layout: blog
title: 📚 My Favorite Reads of 2022
description: I read so many books this year! Here are some of my favorites, what I liked about them, and why you might like them too.
tags: [Reading, Featured]
mature: true
discuss: https://twitter.com/Ellpeck/status/1602678787220684802
---

2022 has been an interesting year, to say the least. I moved to a new city at the other side of the country, I continued my studies at a new university, and I read a *ton* of books.

Well, okay, not necessarily a ton by some people's standards. But seeing as I've only read about twelve books [last year](https://ellpeck.de/blog/reading_faves_2021/), and zero books the year before that, I think this year's twenty-nine[^1] books is a pretty good amount.

I'm tracking my reads using [the StoryGraph](https://app.thestorygraph.com/profile/ellpeck), which is an incredibly helpful tool for helping myself remember what I even read and how much I liked it. My favorite genre is romance, as you can quite clearly see looking at my [statistics](https://app.thestorygraph.com/stats/ellpeck?year=), but I try to read a nonfiction book from time to time, too.

Here's a list of some of the books I read this year that I enjoyed most. I'll try not to include any major spoilers in them, but I will talk about the story a bit to highlight the parts that I particularly enjoyed, and I'll also include some quotes I found funny, cute or otherwise relevant.

These aren't the *only* books I read this year that I'd recommend, by any means, but they're the ones I'd perhaps recommend most if you happen to like similar stuff to what I like. These are in no particular order, so this isn't a ranked list by any means.

# 📱 They Both Die at the End (and The First to Die at the End)
So, right off the bat, I need you to know that I don't usually read books with sad endings. While I agree that crying can be freeing, I also have a pesky habit of getting depressed about fictional dead characters for a week after they die. Which I don't particularly enjoy.

But when I saw *They Both Die at the End* by Adam Silvera, I didn't *know* it was going to be as bittersweet as it was. Well, I had some idea based on the title, of course, but for some reason I didn't clock that it was going to be a romance. A romance where both characters die at the end. *I cried so much.*

*They Both Die at the End*, and its prequel, *The First to Die at the End*, are set in a fictionalized universe where a service exists that will tell you about the day you're going to die. On the day, they call you on the phone and deliver the frankly disturbingly true prediction. They don't tell you why, or how, you're going to die, but they tell you that you *will* definitely die on that day. The stories are told from multiple people's perspectives, with each chapter being told either by one of the two main characters, or occasionally by some of the many side characters. The people dying, called "Deckers" (for a somewhat silly reason that will become apparent in the prequel), are encouraged to make their last day beautiful, and fill it with as many memorable moments as possible. In both books, this includes a boy falling in love with another boy (who may or may not also die today). They have a beautiful one-day romance, until death happens at the end and the reader cries themselves
to sleep, replaying the scene in their head for hours.

If you like close-to-reality sci-fi, and heartbreakingly tragic queer romance stories, then I really recommend these two books.

> "What the hell am I supposed to say?" I ask. "Speak from your heart," Dalma says. "Not your dick." "Speak from my heart, not my dick; speak from my heart, not my dick," I mutter like a mantra.

> He's got to be thinking I'm prepping for a kiss, which I mean, I'm not, but also, I wouldn't be mad at all. Damn, maybe I am thinking with my dick.

> "You're positive about a movie theater in the afterlife but not if you'll have your glasses? Seems like an oversight in your heavenly blueprint." He removes my glasses and puts them on. "Wow. Your eyes suck."

# ⚱️ I'm Glad My Mom Died
*If you struggle with physically or emotionally abusive relatives or severe eating disorders, this book and this section of the blog post may not be for you.*

We all know Jennette McCurdy, right? If you don't, she's an ex-actress (now writer and director) who used to work for Nickelodeon, with her most popular role having been Sam Puckett in *iCarly* and later *Sam & Cat*.

I'm Glad My Mom Died is her memoir about her childhood and early adulthood, which was hugely influenced by her abusive mother who forced her daughter into eating disorders and acting, neither of which McCurdy was particularly interested in herself. The book is deeply tragic, but also hopeful, and it depicts the actress, her family, her characters, and the people she worked for, in a raw and heartbreaking way.

I don't want to say that much more about the book's content here because I don't want to glamorize or romanticize McCurdy's experiences, but I do want to invite you to read the book for yourself. It really gives you another insight into how much of people's trauma isn't visible to the outside world, and how seemingly impossible it is to get out of an abusive situation when that situation your entire life. It also gives you a deep appreciation for honesty, openness, and mental health support through intimate friendships and therapy. It's also incredibly well written, making you feel like you're reading a diary that isn't meant to be read by anyone but the one who wrote it. The book's second section is also deeply hopeful, showing McCurdy's escape and subsequent healing from her traumatizing past.

# 🚀 Love on the Brain
Ali Hazelwood is a romance author who seems to primarily write stories related to academia in some form. Being a student, this should be deeply relatable to me, but being an antisocial mess, I rarely ever actually interact with people at university. Nevertheless, I read two of Ali's books this year: The Love Hypothesis in the first half, and Love on the Brain, her most recent release.

While I think they are both amazing, I'm passionate about Love on the Brain because it contains two adorable romances, a cast of hilarious characters, and a cute cat that may or may not be real. In the book, the main character Bee starts a job at NASA along with her assistant, where she meets her apathetic, but secretly adorable, love interest Levi.

If you love a good wacky romance, a punky queer feminist, and a chaotic story, you'll love... on the Brain.

> "Sorry." I scratch the back of my neck. "Just to be clear, you two were having intercourse with..." "With each other," she tells me proudly. "How did Boris even ... find you?" "Guy cam into our office looking for something, found us on your desk, ratted us out." "On *my*---why did you have to do it on *my*---" I stop. Take a deep breath. "To be clear." I look between them. "This was ... consensual?" "Very," they answer in unison, locking eyes and smiling like idiots.

> As I wait for the crowd to disperse, I take stock of the room. His team appears to be WurstFest™️ material. The well-known Meatwave. A Dicksplosion in the Testosteroven. The good old Brodeo.

# ✊🏿 We Are Not Like Them
The story of We Are Not Like Them, by Christine Pride and Jo Piazza, is... *intense*, to say the least. The book is told from the perspectives of a pair of childhood friends: Riley, a black news anchor, and Jen, a white woman with a policeman husband named Kevin.

I think you can see where this is going.

After Kevin shoots an unarmed black teenager, Jen has to reevaluate her relationship with her husband while Riley covers the events and aftermath on the news. The book perfectly delivers the heartfelt, troubling accounts of both women, their interactions with each other, and the difficult question of what it all means for their relationship. In emotionally packed and heartbreaking descriptions, we also see Riley reporting on, and subsequently getting closer to, the mother of the victim and the rest of their family.

If you're into troubling, but deeply honest depictions of racial issues, and the effect they have not only on the victims and their families, but also on everyone around them, I highly recommend We Are Not Like Them.

> "They think it's so cool that my best friend is black." She rolled her eyes as she said it, but it was still clear that it was some sort of weird badge of honor for her, like I was a trendy accessory---otherwise why mention it at all?

> "You know, I used to think you were such a weirdo for getting annoyed when people want to touch your hair, but now that I've got this"---she places a hand on either side of her stomach---"I get it now. I'm like Aladdin's lamp. No one asks. They just rub." It isn't the same thing at all, but I let it go.

# 🏳️‍⚧️ Meet Cute Diary
Okay. Okay. Let's get back to *adorable stories*. The Meet Cute Diary, by Emery Lee, is a story about Noah, a trans boy who runs a blog that features stories about trans people finding love through adorable meet cutes. The only problem: They're all fake, and no one knows Noah is making them up.

It's a beautiful and sometimes heartbreaking story about what trans people go through, and the struggles that extend far beyond strangers and straight into personal relationships. It's also incredibly hopeful, though, depicting Noah as someone who gets more comfortable with himself and his identity while figuring out who is the one for him.

The story also includes a character who is trying to figure out which pronouns suit them best, and the book cleverly incorporates this process into the story by using the pronouns they're currently trying while talking about them.[^2]

> "They're your pronouns. You don't have to consider anyone else before you pick them." His eyes widen, and then I don't know hat changes, but he smlies like all his problems have melted away, and it really is a beautiful smile. "Thanks. Do you mind using they/them for me from now on?" I roll my eyes. "No, I don't mind. They're your pronouns." And they smile again, and for a moment, my heart feels heavy.

> He smirks over at me and says, "This is Noah, my boyfriend. Noah, this is Matt. We used to ski together." "Damn, dude, I didn't know you were gay," Matt says. Drew laughs. "I'm not. Noah's special." And I know he means it as a compliment, but it makes me feel kind of dirty, like I'm just not enough of a boy or too much of an anomaly to really be anything at all. I mean, it's not like he's a trans rights activist. He doesn't know better, so I'll just mention it when I get a chance. No big deal.

(*It is a big deal, though. This is awful. Don't be like this, please.*)

# 🌧️ The Sky Blues
The Sky Blues, by Robbie Couch, is a beautiful coming-of-age story about a high school student named Sky, who ends up starting a revolution at his school. After deciding to ask out a guy to Prom, his secret plans get leaked and an e-blast is spread around the school, containing and subsequently causing a wildfire of homophobic and racist rhetoric. But Sky doesn't back down, and his friends and allies quickly assemble a protest that threatens to get the prom canceled, but that might also save Sky's leaked promposal plans.

I absolutely adore this book. However, I do have to admit that some parts felt hard to read because they reminded me of my high school years, where I was still closeted due to the very fears that come true in The Sky Blues. It also gave me hope though, that younger people can feel empowered by the story and rise up for themselves or their queer friends as well.

It also contains the best teacher that has ever existed (or, well, *fictionally* existed), and I want her to have been my teacher in high school.

> "Please, for the love of God, don't tell me you were masturbating." "Stop!" "You totally were, weren't you?" "I can barely tie my shoes before eight a.m. I don't have the motivation to do that before school. I was shower-dreaming about him, sure. But that's it." "Shower-dreaming?" She tils her head, confused. "Is that gay for 'masturbating'?"

> "Principal Burger." Winter smiles. "Surely we can figure this out without taking prom away from students?" "Ms. Winter." Burger returns the smile, but maliciously. "How about this? Unless you plan on chaperoning your own prom for your Yearbook class, you'll need to enforce the ban." "Well," Winter sighs, thinking. "Okay, then." Burger blinks. "Okay you'll enforce the ban?" "Okay I'll be chaperoning my own prom for my Yearbook students," she says.

# 🔥 Smoke Gets In Your Eyes
Lastly, but certainly not least...ly, a great nonfiction book by one of my favorite YouTubers and activists: Caitlin Doughty, a mortician from Los Angeles who specializes in advocating for people having access to the body disposition options they want after their death.

Smoke Gets In Your Eyes is her first book (and my favorite of the three she's published so far), and it's about her early twenties, where she worked as a crematory operator. It's packed with funny, heartfelt, and sometimes rather serious stories, but also contains a ton of fascinating information about the funeral industry. As almost all of her content, it's also delightfully macabre in an incredibly endearing way.

If learning about deathcare traditions in various cultures is more your stlye, I also thoroughly recommend her From Here to Eternity, which, as the subtitle suggests, is all about traveling the world to find the good death.

> To my great annoyance I found him stacked below Mr. Willard, Mrs. Nagasaki, and Mr. Shelton. That meant stacking and restacking the cardboard boxes like a game of body-fridge Tetris.

> “Yes, Mother?” I probably called her Mom or Mommy, but in my memories I’m a very polite British child with exquisite manners.

> But young lovers take note: above all else, the phrase every girl truly wants to hear is “Hi, this is Amy from Science Support; I’m dropping off some heads.”

> The anxiety I felt was no longer caused by the fear of an afterlife, of pain, of a void of nothingness, or even a fear of my own decomposing corpse. All my plans and projects would come to an end. The last thing preventing me from accepting death was, ironically, my desire to help people accept death.

# Closing Remarks
I hope you enjoyed this little look into some of the books I really enjoyed this year. As I said at the top, for a more in-depth look at my kind of books, you can check out my profile on [the StoryGraph](https://app.thestorygraph.com/profile/ellpeck).

I also write my own short stories occasionally, so if you're into cutesy romantic stuff, you can check them out [here on the blog](https://ellpeck.de/#blog-short-stories) as well.

Feel free to let me know what you think about my picks, and also feel free to let me know what you read this year, and if you have any recommendations for what I should read next year. ❤️

[^1]: And counting! *The year is not done yet.*

[^2]: They don't end up using they/them pronouns in the end, but I feel it would take away from the storytelling to tell you the pronouns they do end up using. 
