const data = [{
    id: "nyx",
    name: "Nyx",
    description: "Nyx is a mod that transforms and improves Minecraft's time of darkness by adding elements and events themed around the moon, stars, and night sky",
    testimonial: "Ellpeck has proven time and again to be very talented and open-minded when it comes to mod commissions. Easy and enjoyable to work with, and very patient when it comes to working out any inconsistencies. I'm happy to have collaborated with him!",
    commissioner: "Drakallen"
},
    {
        id: "slingshot",
        name: "Slingshot",
        description: "Slingshot allows you to shoot different items with your slingshot for different effects",
        testimonial: "A pleasant, kind, and easy to work with modder. He produces high quality work and is, in my opinion, well worth the money.",
        commissioner: "Violet"
    },
    {
        id: "enchantment-storage",
        name: "Enchantment Storage",
        description: "Stores and automatically converts your enchanted books into a limitless repository of knowledge",
        testimonial: "Working with Ellpeck was an immense pleasure, he was attentive and convivial during the entire process. Upon release, I was assured any and all problems would be handled immediately, although I have yet to encounter a single issue. Brilliant work and highly recommended.",
        commissioner: "Zilch"
    },
    {
        id: "more-flower-bushes",
        name: "More Flower Bushes",
        description: "A simple mod that adds 8 new two block tall flower bushes to decorate with",
        testimonial: "Thanks to Ellpeck for making the code for my little mod idea because I can't code for the life of me. Not only did he deliver incredibly fast, he also made sure that everything was done to my satisfaction. It was well worth my money and I look forward to our continued cooperation.",
        commissioner: "Rallen"
    },
    {
        id: "craftable-deeds",
        name: "Craftable Deeds",
        description: "A mod that allows claiming (and stealing) land using special map items",
        testimonial: "This has been an incredibly lovely job done, quick and to my liking and completely worth my money. I would work with Ellpeck again without hesitation.",
        commissioner: "DB20xx"
    },
    {
        id: "natures-starlight",
        name: "Nature's Starlight",
        description: "A crossover mod between Nature's Aura and Astral Sorcery",
        testimonial: "Pleasant to work with, friendly throughout, a bit of a stickler for the details but that just means that the end product is going to be that much better.",
        commissioner: "flabort"
    },
    {
        id: "sketchbook-attributes",
        name: "SketchBook Attributes",
        description: "A mod that adds an RPG-style levelup system with multiple attributes",
        testimonial: "Great to work with! Ellpeck was friendly and managed to make exactly what I had imagined, and worked way faster than I had ever imagined. The finished product came out just as I had hoped, and it was a joy to work with him the entire time.",
        commissioner: "sketchlayer"
    },
    {
        id: "voodoo-dolls",
        name: "Voodoo Dolls",
        description: "Voodoo Dolls adds dolls that curse the player when placed on the ground! Great for streamers.",
        testimonial: "Ellpeck totally nailed my commission for Voodoo Dolls! Totally professional yet friendly experience... now my only trouble is thinking of more wild projects for him to work on! Absolute joy to work with.",
        commissioner: "generikb"
    }
];

let content = "";
let left = true;
for (let mod of data) {
    content += /*html*/ `
        <div class="mod-info">
            <img src="media/${mod.id}.png" style="object-position: top">
            <div class="mod-caption">
                <h2><a href="https://www.curseforge.com/minecraft/mc-mods/${mod.id}">${mod.name}</a></h2>
                <p class="d-none d-sm-block">${mod.description}</p>
            </div>
        </div>
        <div class="test test-${left ? "left" : "right"}">
            ${mod.testimonial}
            <p class="test-name">${mod.commissioner}</p>
        </div>
    `;
    left = !left;
}
$("#mods").html(content);
